> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supaqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Fundamental concepts of SupaQR’s API.

SupaQR's API empowers your links (QR Codes) with automated customization, document sharing, and click analytics.

## What the API supports

* Manage your shorts links(QR Codes) and their associated incoming traffic
* Manage your tags and their associated incoming traffic
* Manage your branded domains

## Base URL

API follows REST principles and enforces HTTPS for all connections, with no HTTP support.

The Base URL for all API endpoints is:

```javascript theme={null}
https://api.supaqr.com
```

## Authentication

All API endpoints are authenticated using Bearer tokens.

<CodeGroup>
  ```javascript cURL theme={null}
  curl --request POST \
  --url https://api.supaqr.com \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
  ```

  ```JavaScript JavaScript theme={null}
  const options = {
      method: 'POST',
      headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
      body: '{}'
  };

  fetch('https://api.supaqr.com', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.supaqr.com/links/{type}"
  headers = {
      "Authorization": "Bearer <token>",
      "Content-Type": "application/json"
  }

  response = requests.request("POST", url, json=payload, headers=headers)

  print(response.text)
  ```

  ```php PHP theme={null}
  <?php

  $curl = curl_init();

  curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.supaqr.com",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
  "Authorization: Bearer <token>"
      ],
      ]);

      $response = curl_exec($curl);
      $err = curl_error($curl);

      curl_close($curl);

      if ($err) {
          echo "cURL Error #:" . $err;
      } else {
          echo $response;
      }
  ```

  ```go Go theme={null}
  package main

  import (
  "fmt"
  "net/http"
  "io/ioutil"
  )

  func main() {

      url := "https://api.supaqr.com"

      req, _ := http.NewRequest("GET", url, nil)

      req.Header.Add("Authorization", "Bearer <token>")

      res, _ := http.DefaultClient.Do(req)

      defer res.Body.Close()
      body, _ := ioutil.ReadAll(res.Body)

      fmt.Println(res)
      fmt.Println(string(body))

  }
  ```

  ```java Java theme={null}
  HttpResponse<String> response = Unirest.get("https://api.supaqr.com")
      .header("Authorization", "Bearer <token>")
          .asString();
  ```
</CodeGroup>

Learn more about [how to get your API key](/api-reference/api-keys).
